"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Server = void 0;
var react_1 = __importDefault(require("react"));
// @ts-ignore
var App_1 = __importDefault(require("@react-fullstack/fullstack/lib/App"));
var socket_io_1 = __importDefault(require("socket.io"));
var Server = /** @class */ (function (_super) {
    __extends(Server, _super);
    function Server() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.componentDidMount = function () {
            _this.server = socket_io_1.default(_this.props.port);
            _this.server.on("connection", function (socket) {
                var app = new App_1.default({
                    reactTree: _this.props.children,
                    transport: socket,
                    views: _this.props.views,
                });
                app.start();
            });
        };
        _this.render = function () { return react_1.default.createElement(react_1.default.Fragment, null); };
        return _this;
    }
    return Server;
}(react_1.default.Component));
exports.Server = Server;
